# Uses of Enum Class
org.apache.solr.client.solrj.request.SolrQuery.ORDER

Packages that use SolrQuery.ORDER
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of SolrQuery.ORDER in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return SolrQuery.ORDER
Modifier and Type
Method
Description
`SolrQuery.ORDER`
SolrQuery.SortClause.`getOrder()`
Gets the order to sort
`SolrQuery.ORDER`
SolrQuery.ORDER.`reverse()`
`static SolrQuery.ORDER`
SolrQuery.ORDER.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrQuery.ORDER[]`
SolrQuery.ORDER.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.client.solrj.request with parameters of type SolrQuery.ORDER
Modifier and Type
Method
Description
`SolrQuery`
SolrQuery.`addOrUpdateSort(String field, SolrQuery.ORDER order)`
Updates or adds a single sort clause to the query.
`SolrQuery`
SolrQuery.`addSort(String field, SolrQuery.ORDER order)`
Adds a single sort clause to the end of the current sort information.
`static SolrQuery.SortClause`
SolrQuery.SortClause.`create(String item, SolrQuery.ORDER order)`
Creates an ascending SortClause for an item
`SolrQuery`
SolrQuery.`setSort(String field, SolrQuery.ORDER order)`
Replaces the current sort information with a single sort clause
Constructors in org.apache.solr.client.solrj.request with parameters of type SolrQuery.ORDER
Modifier
Constructor
Description
``
`SortClause(String item, SolrQuery.ORDER order)`
Creates a SortClause based on item and order